/**
  MAYDON LANGUAGE
  @Author Elliot Bewey
*/

//Get filereader
var filereader = require("./filereader.js");

//Global args
var args = {
  action: undefined,
  input: undefined
};

//Run process
function run() {
  var argv = process.argv.slice(2);
  if(null === argv) { return 1; }
  args = {
    action: argv[0],
    input: argv[1]
  };
  return 0;
}

//Check process for errors
var status = run();
if(status != 0) { return; }

//Get input from process
var fsin = filereader.readFile(args.input);

//Optional: You can use lines or ';'
var lines = fsin.split('/n');
lines = lines.split(';');

for (line in lines) {
  console.log("Line: " + line);
}